Description

Near with PLATFORM_POSIX defines I found some places with POSIX, which undefined.

While TheIDE uses POSIX flags inside of package configuration, it creates flagPOSIX define for building, not POSIX.

The attached patch fixes such cases with using PLATFORM_POSIX define.

History

#1 - 08/04/2013 09:17 PM - Sender Ghost

- Status changed from New to Patch ready

#2 - 08/07/2013 06:46 PM - Sender Ghost

It's easy to check:

#include <Core/Core.h>

using namespace Upp;

CONSOLE_APP_MAIN

{

    Cout() << "POSIX " 

#ifdef POSIX

    << "defined" 

#else

    << "undefined" 

#endif

    << ".\nflagPOSIX " 

#ifdef flagPOSIX

    << "defined" 

#else

    << "undefined" 

#endif

    << ".\nPLATFORM_POSIX " 

#ifdef PLATFORM_POSIX

    << "defined" 

#else

    << "undefined" 

#endif

    << ".\n";

}

With following results (on FreeBSD 9.1):
/redmine/projects/upp/repository/revisions/5316/entry/trunk/uppsrc/ide/Core/Host.cpp#L320
/redmine/projects/upp/repository/revisions/5718/entry/trunk/uppsrc/CtrlCore/CtrlCore.upp#L32
/redmine/projects/upp/repository/revisions/4621/entry/trunk/uppsrc/ide/Builders/CppBuilder.cpp#L388


POSIX undefined.

flagPOSIX defined.

PLATFORM_POSIX defined.

#3 - 08/08/2013 10:35 AM - Miroslav Fidler

- Status changed from Patch ready to Approved

thanks!
